package v2template_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type V2TemplateGroupRequest struct {
	// <ext>core:true</ext> 【模板状态】模板状态 【作用】 0：停用，即查询所有停用状态的模板 1：启用，即查询所有启用状态的模板 2：全部，即查询所有状态的模板，包括启用状态与停用状态 不传值默认为查询所有启用状态的模板 【传参】 取值范围：0（停用），1（启用），2 （全部）。不传值默认为：1（启用）。
	Status  string                 `json:"status,omitempty"`
	Company *common.CompanyRequest `json:"company,omitempty"`
}

func (obj V2TemplateGroupRequest) GetUrl() string {
	return "/v2/template/group"
}

func (obj V2TemplateGroupRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
